---
Title: ashttp: vt100 screen scraping exported over HTTP
Date: 2011-08-27 15:08:21
---

Originally written for
[logtop](https://github.com/JulienPalard/logtop) I just wrote a vt100
screen scraper that listen to a port and serve the screen over
HTTP. Basically, you want a `top` (or logtop ;-) ) to be displayed in
your website back office ? But top outputs in your terminal and you
don't know how to capture it ? Use
[ashttp](http://dev-tricks.net/wp-content/uploads/2011/08/ashttp1.png),
like this:

    :::bash
    $ ashttp -p 8080 top

And then just open the port 8080 with an HTTP client and enjoy (typing
some F5...). You can find the code on [my
github](https://github.com/JulienPalard/ashttp).
