---
Title: HackInScience hits 10k solved exercices per month!
Date: 2021-06-04 18:16:00
Summary: HackInScience is my litlle side-project to teach Python at scale. Last month, ~1000 persons solved ~10k exercices on it.
---

# What is HackInScience, again?

This is a pet-project I started [with
friends](https://www.hackinscience.org/team/) around 2014, we were
teaching Python to full rooms of ~70 students: we had to automate
stuff, we automated stuff.

It allowed us to spend more time with the students actually needing
us, while the other could work autonomously on the website, it was a
huge success, with lots of positive feedbacks from students:

> Thanks to the three of you! It was perfect, your availability and
> method is exceptional. I achieved my main goal (recovering the
> desire to code), and got frustrated when we reached friday and had
> to leave. I'll continue working on the exercises but with a
> different pace.

(roughly translated from french, and about the pace: we had them to
work from 9AM to 9PM.)

Project evolved, we're no longer giving Python course in this
university, but the project is still alive and growing!


## So … what it is?

It's a collection of exercices, each with a live correction bot,
making great use of [friendly](https://github.com/aroberge/friendly/):

![HackInScience screenshot]({attach}hackinscience.png)


# Project stats for may 2021

Looks like the project is starting to get traction! I use no trackers
(and there's no ad ;)) but I still can see the number of subscribed
users and solved exercises in the database, and nice surprise for may
2021:

- 11740 exercises solved.
- 1021 active users (not counting anonymous users).
- The bots corrected 31397 submissions.


# It's all FOSS

Since the beginning [the project is
open-source](https://framagit.org/hackinscience/hkis-website), using
an MIT license, and is not tightly coupled to checking Python code, so
I hope someone, if not me, will have the time, one day, to spawn an
HackInScience with bash exercises, maybe C, ... (If you want to speed
this up, consider [buying me
coffee](https://www.hackinscience.org/sponsor/)).
